package com.ruoyi.sim.domain.vo;

import com.ruoyi.sim.domain.Task;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

public class TaskVo extends Task {

    /**
     * 选择情况故障数据
     */
    private List<FaultTreeVo> selectedData;

    public List<FaultTreeVo> getSelectedData() {
        return selectedData;
    }

    public void setSelectedData(List<FaultTreeVo> selectedData) {
        this.selectedData = selectedData;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("selectedData", selectedData).toString();
    }
}
